/* 
 * File:   SED1565_.c
 * Author: chengo_cc
 *
 * Created on 17 December 2015, 10:59 AM
 */

#include <stdio.h>
#include <stdlib.h>
#include <pic.h>
#include "bitmaptext.h"
#include "bitmapImage.h"
//------------------------------------------------------------------------------
#define CS1         RB0           //Chip Select (ACTIVE-LOW)
#define A0          RB1           //command/data switch
#define SCL         RB2           //Serial Clock
#define SDO         RB3           //Serial Data Out
//----------------------------Direction-----------------------------------------
#define CS1_dir     TRISB0
#define A0_dir      TRISB1
#define SCL_dir     TRISB2
#define SDO_dir     TRISB3
//------------------------------------------------------------------------------
#include "SED1565.h"
//------------------------------------------------------------------------------
void main()
{
  LCD_init();

  LCD_string(2,0,"****************");
  LCD_string(3,0,"Graphic LCD");
  LCD_string(4,0,"****************");
  LCD_fill(CLEAR);

  while(1)
  {
    for(int i = 0; i < 64; ++ i)
    {
      LCD_startline(i);                //Scroll text/image virtically
      LCD_image(bitmapImage);
    }
  }
}
//------------------------------------------------------------------------------