/* 
 * File:   GLCD_prototypes.h
 * Author: chengo_cc
 *
 * Created on 17 December 2015, 11:10 AM
 */

#ifndef GLCD_PROTOTYPES_H
//-------------------------GLCD Pages addresses---------------------------------
unsigned const char page[8] = {0xB0,0xB1,0xB2,0xB3,0xB4,0xB5,0xB6,0xB7}; 
//------------------------------------------------------------------------------
void LCD_init();
void LCD_write(unsigned char data);
void LCD_command(unsigned char command);
void LCD_data(unsigned char data);
void LCD_fill(unsigned char fill);
void LCD_page(unsigned int pg);
void LCD_column(unsigned int column);
void LCD_startline(unsigned int line);
void LCD_string(int pg, int col, unsigned char *text);
void LCD_image(unsigned char *image);
void delay(int nMilliseconds);
//------------------------------------------------------------------------------
#define	GLCD_PROTOTYPES_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* GLCD_PROTOTYPES_H */

